This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

CreateLandingZone

1 - 1.2

post /v1/landing-zones

Description

Create a landing zone

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LandingZoneCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
201CreatedLandingZoneCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/landing-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.2"

Request body

{
    "additional_ou_name": "Sandbox",
    "agree_yn": "Y",
    "audit_account_name": "AUDIT",
    "audit_login_id": "audit@samsung.com",
    "basic_ou_name": "Security",
    "detective_guardrail_status": "ENABLED",
    "log_archive_account_name": "LOG_ARCHIVE",
    "log_archive_login_id": "log-archive@samsung.com",
    "sso_type": "ID_CENTER"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

2 - 1.1

post /v1/landing-zones

Description

Create a landing zone

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LandingZoneCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
201CreatedLandingZoneCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/landing-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"

Request body

{
    "additional_ou_name": "Sandbox",
    "agree_yn": "Y",
    "audit_account_name": "AUDIT",
    "audit_login_id": "audit@samsung.com",
    "basic_ou_name": "Security",
    "detective_guardrail_status": "ENABLED",
    "log_archive_account_name": "LOG_ARCHIVE",
    "log_archive_login_id": "log-archive@samsung.com",
    "sso_type": "ID_CENTER"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}

3 - 1.0

post /v1/landing-zones

Description

Create a landing zone

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LandingZoneCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLandingZoneCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/landing-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"

Request body

{
    "additional_ou_name": "Sandbox",
    "agree_yn": "Y",
    "audit_account_name": "AUDIT",
    "audit_login_id": "audit@samsung.com",
    "basic_ou_name": "Security",
    "log_archive_account_name": "LOG_ARCHIVE",
    "log_archive_login_id": "log-archive@samsung.com",
    "sso_type": "ID_CENTER"
}

Example HTTP response

Response 201

{
    "job_id": "0a36e0746dbf4908acf0357829701381",
    "landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}